com.unitech.lib.types

## Enum UhfParamId

- java.lang.Object
- - java.lang.Enum<UhfParamId>
  - - com.unitech.lib.types.UhfParamId

- All Implemented Interfaces:
    Serializable, Comparable<UhfParamId>

      public enum UhfParamId
      extends Enum<UhfParamId>

  The UhfParamId enum represents the different parameters that can be configured for UHF RFID readers. Each parameter has a unique identifier and an associated access mode.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `algorithmType`
    `antennaRoundCount`
    `antennaSwitchingMode`
    `authenticate`
    `blf`
    `blockPermaLock`
    `blockWriteMemory`
    `cfgStorageMode`
    `continuousMode`
    `cwOff`
    `cwOn`
    `dwellTime`
    `encoding`
    `fastId`
    `fastMode`
    `fixedFrequency`
    `frequencySwitchingMode`
    `globalBand`
    `idleTime`
    `inventory`
    `inventoryTime`
    `inventoryWithUserSpecifiedData`
    `killTag`
    `lbt`
    `lbtConfigure`
    `lockTag`
    `marginRead`
    `maxQ`
    `minQ`
    `moduleProfile`
    `permaLockTag`
    `phaseData`
    `power`
    `powerMode`
    `powerRange`
    `powerSavingMode`
    `readMemory`
    `rfidConfig`
    `rfMode`
    `selectMask`
    `selectMaskMaxSize`
    `selectMode`
    `session`
    `startQ`
    `stop`
    `supportedGlobalBand`
    `tagFocus`
    `target`
    `tari`
    `toggleTarget`
    `txRandomData`
    `writeMemory`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AccessMode` | `getAccessMode()`
    `String` | `toString()`
    `static UhfParamId` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UhfParamId[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### inventory

          public static final UhfParamId inventory

    - #### readMemory

          public static final UhfParamId readMemory

    - #### writeMemory

          public static final UhfParamId writeMemory

    - #### lockTag

          public static final UhfParamId lockTag

    - #### permaLockTag

          public static final UhfParamId permaLockTag

    - #### killTag

          public static final UhfParamId killTag

    - #### stop

          public static final UhfParamId stop

    - #### powerRange

          public static final UhfParamId powerRange

    - #### power

          public static final UhfParamId power

    - #### continuousMode

          public static final UhfParamId continuousMode

    - #### supportedGlobalBand

          public static final UhfParamId supportedGlobalBand

    - #### globalBand

          public static final UhfParamId globalBand

    - #### inventoryTime

          public static final UhfParamId inventoryTime

    - #### idleTime

          public static final UhfParamId idleTime

    - #### algorithmType

          public static final UhfParamId algorithmType

    - #### startQ

          public static final UhfParamId startQ

    - #### maxQ

          public static final UhfParamId maxQ

    - #### minQ

          public static final UhfParamId minQ

    - #### target

          public static final UhfParamId target

    - #### session

          public static final UhfParamId session

    - #### selectMaskMaxSize

          public static final UhfParamId selectMaskMaxSize

    - #### selectMask

          public static final UhfParamId selectMask

    - #### selectMode

          public static final UhfParamId selectMode

    - #### encoding

          public static final UhfParamId encoding

    - #### tari

          public static final UhfParamId tari

    - #### blf

          public static final UhfParamId blf

    - #### toggleTarget

          public static final UhfParamId toggleTarget

    - #### fastMode

          public static final UhfParamId fastMode

    - #### rfidConfig

          public static final UhfParamId rfidConfig

    - #### inventoryWithUserSpecifiedData

          public static final UhfParamId inventoryWithUserSpecifiedData

    - #### blockWriteMemory

          public static final UhfParamId blockWriteMemory

    - #### dwellTime

          public static final UhfParamId dwellTime

    - #### rfMode

          public static final UhfParamId rfMode

    - #### lbt

          public static final UhfParamId lbt

    - #### fastId

          public static final UhfParamId fastId

    - #### tagFocus

          public static final UhfParamId tagFocus

    - #### fixedFrequency

          public static final UhfParamId fixedFrequency

    - #### phaseData

          public static final UhfParamId phaseData

    - #### powerSavingMode

          public static final UhfParamId powerSavingMode

    - #### lbtConfigure

          public static final UhfParamId lbtConfigure

    - #### antennaSwitchingMode

          public static final UhfParamId antennaSwitchingMode

    - #### frequencySwitchingMode

          public static final UhfParamId frequencySwitchingMode

    - #### cfgStorageMode

          public static final UhfParamId cfgStorageMode

    - #### cwOn

          public static final UhfParamId cwOn

    - #### cwOff

          public static final UhfParamId cwOff

    - #### txRandomData

          public static final UhfParamId txRandomData

    - #### blockPermaLock

          public static final UhfParamId blockPermaLock

    - #### authenticate

          public static final UhfParamId authenticate

    - #### antennaRoundCount

          public static final UhfParamId antennaRoundCount

    - #### moduleProfile

          public static final UhfParamId moduleProfile

    - #### powerMode

          public static final UhfParamId powerMode

    - #### marginRead

          public static final UhfParamId marginRead

  - ### Method Detail

    - #### values

          public static UhfParamId[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UhfParamId c : UhfParamId.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UhfParamId valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getAccessMode

          public AccessMode getAccessMode()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<UhfParamId>`